# UnassignNetworkInterfaceIpv4

## 1. API Description

This API (UnassignNetworkInterfaceIpv4) is used to unassign the private IPv4 from the vNIC.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">The default public IPv4 on the vNIC cannot be unassigned.</mark>
* <mark style="color:blue;">When a vNIC has elastic public IPs assigned, its private IP cannot be unassigned.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name          | Required | Type            | Description                                                                                                                                                                  |
| ----------------------- | -------- | --------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| nicId                   | Yes      | String          | ID of the vNIC.                                                                                                                                                              |
| ipAddress \[Deprecated] | No       | String          | <p>The IPv4 address to unassign.</p><p>This field is deprecated; use <code>ipAddresses</code> instead. If both are specified, <code>ipAddresses</code> takes precedence.</p> |
| ipAddresses             | No       | Array of String | Private IPv4 to unassign.                                                                                                                                                    |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Unassign the private IPv4 from the vNIC.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UnassignNetworkInterfaceIpv4
<Common Request Params>

Request：
{
  "nicId": "<nicId>",
  "ipAddresses": ["10.0.0.2"]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                  | Description                                                                                          |
| ---------------- | ------------------------------------------- | ---------------------------------------------------------------------------------------------------- |
| 409              | INVALID\_NIC\_LB\_ASSOCIATED                | Operation is not supported because the private IP is associated with a load balancer backend server. |
| 404              | INVALID\_NIC\_NOT\_FOUND                    | vNIC does not exist.                                                                                 |
| 409              | INVALID\_NIC\_PRIMARY\_IP\_CANT\_DETACH     | The default public IPv4 on the vNIC cannot be unassigned.                                            |
| 400              | INVALID\_NIC\_STATUS                        | Current vNIC state does not allow this operation.                                                    |
| 409              | INVALID\_NIC\_HAS\_PUBLIC\_IP\_CANT\_DETACH | Operation is not supported when elastic public IP(s) are assigned.                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/vnic/unassignnetworkinterfaceipv4.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
